/*****************************************************************************
 *
 * IIDCgetFeatures.c -- feature enumeration for IEEE1394/IIDC cameras
 *
 * Copyright 2013,2014 James Fidell (james@openastroproject.org)
 *
 * License:
 *
 * This file is part of the Open Astro Project.
 *
 * The Open Astro Project is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Open Astro Project is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the Open Astro Project.  If not, see
 * <http://www.gnu.org/licenses/>.
 *
 *****************************************************************************/

#include <oa_common.h>
#include <openastro/oacam.h>

#include "IIDCoacam.h"

/**
 * Check if a camera has fixed frame rates
 */

int
oaIIDCCameraHasFixedFrameRates ( oaCamera* camera, int resX, int resY )
{
  return 1;
}


int
oaIIDCCameraStartRequiresROI ( oaCamera* camera )
{
  return 1;
}


int
oaIIDCCameraHasLoadableFirmware ( oaCamera* camera )
{
  return 0;
}


int
oaIIDCDeviceHasLoadableFirmware ( oaDevice* device )
{
  return 0;
}
