/*****************************************************************************
 *
 * QHYoacam.h -- header for QHY camera API
 *
 * Copyright 2013,2014 James Fidell (james@openastroproject.org)
 *
 * License:
 *
 * This file is part of the Open Astro Project.
 *
 * The Open Astro Project is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Open Astro Project is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the Open Astro Project.  If not, see
 * <http://www.gnu.org/licenses/>.
 *
 *****************************************************************************/

#ifndef OA_QHY_H
#define OA_QHY_H

extern int		oaQHYGetCameras ( oaDevice** );
extern oaCamera*	oaQHYInitCamera ( oaDevice* );
extern int              oaQHYCloseCamera ( oaCamera* );

#define CAM_QHY2	1
#define CAM_QHY6	2
#define CAM_QHY5	3
#define CAM_QHY8	4
#define CAM_QHY6Pro	5
#define CAM_QHY6_ST4	6
#define CAM_QHY5T	7
#define CAM_QHY5II	8
#define CAM_QHY5V	9
#define CAM_IMG2S	10
#define CAM_QHY10	11
#define CAM_QHY11	12
#define CAM_QHY16	13
#define CAM_IMG2Pro	14
#define CAM_IMG2E	15
#define CAM_QHY7	16
#define CAM_QHY8L	17
#define CAM_QHY8M	18
#define CAM_QHY21	19
#define CAM_QHY50	20
#define CAM_IMG132E	21
#define CAM_QHY22	22
#define CAM_QHY20	23
#define CAM_QHY9	24
#define CAM_QHY9L	25
#define CAM_QHY23	26
#define CAM_IMG0H	27
#define CAM_QHY16000	28
#define CAM_QHY5LII	29

struct qhycam {
  unsigned int	vendorId;
  unsigned int	productId;
  const char*	name;
  unsigned int	devType;
  unsigned int	hasFirmware;
  unsigned int	firmwareLoaded;
  unsigned int	supported;
};

extern struct qhycam cameraList[];

#define	cameraState	camera->_qhy

#endif	/* OA_QHY_H */
